Bug 1769581 - 4.2: Specfile global commit has to be overridable
Summary: 4.2: Specfile global commit has to be overridable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Christian Glombek
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1769578
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-06 21:53 UTC by Christian Glombek
Modified: 2019-12-11 22:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1769578
Environment:
Last Closed: 2019-12-11 22:36:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1249 0 'None' 'closed' 'Bug 1769581: 4.2: Specfile: Make `%global commit ...` overridable' 2019-12-03 02:36:10 UTC
Red Hat Product Errata RHBA-2019:4093 0 None None None 2019-12-11 22:36:21 UTC

Description Christian Glombek 2019-11-06 21:53:06 UTC
Description of problem:
We want to make %global commit foo overridable with rpmbuild --define "commit bar" in order to do CI builds of current machine-config-daemon repo contents 

PR:
https://github.com/openshift/machine-config-operator/pull/1249

Comment 1 Kirsten Garrison 2019-11-06 22:16:11 UTC
This is a backport of: https://bugzilla.redhat.com/show_bug.cgi?id=1769578

Comment 3 Michael Nguyen 2019-11-27 16:20:26 UTC
The last rpm build of machine-config-daemon for 4.2 was `201907161330.git.1.bf8077c.el8` which was back in July.  Do we need this for 4.2?

Comment 4 Micah Abbott 2019-11-27 16:40:08 UTC
The MCD for 4.2 hasn't been rebuilt since July, so we are unable to verify this for the 4.2.9 release.

Luke Meyer will fix the problem with the RPM not being rebuilt and then we will be able to verify in a subsequent 4.2.z release.

Moving back to MODIFIED

Comment 7 Michael Nguyen 2019-12-03 14:11:01 UTC
$ oc adm release info -a all-the-pull-secrets.json --image-for=machine-os-content registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2019-12-03-084420
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:02d810d3eb284e684bd20d342af3a800e955cccf0bb55e23ee0b434956221bdd

$ oc image info -a all-the-pull-secrets.json quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:02d810d3eb284e684bd20d342af3a800e955cccf0bb55e23ee0b434956221bdd
Name:       quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:02d810d3eb284e684bd20d342af3a800e955cccf0bb55e23ee0b434956221bdd
Media Type: application/vnd.docker.distribution.manifest.v2+json
Created:    8h ago
Image Size: 641.9MB
OS:         linux
Arch:       amd64
Entrypoint: /noentry
Labels:     com.coreos.ostree-commit=33dd81479490fbb61a58af8525a71934e7545b9ed72d846d3e32a3f33f6fac9d
            version=42.81.20191203.0


$ curl -sk  https://releases-rhcos-art.cloud.privileged.psi.redhat.com/storage/releases/rhcos-4.2/42.81.20191203.0/commitmeta.json | jq '.["rpmostree.rpmdb.pkglist"][] | select(.[0] == "machine-config-daemon")'
[
  "machine-config-daemon",
  "0",
  "4.2.10",
  "201912020833.git.1.781af3b.el8",
  "x86_64"
]


download src rpm
$ rpm2cpio machine-config-daemon-4.2.10-201912020833.git.1.781af3b.el8.src.rpm | cpio -idmv
$ cat machine-config-daemon.spec | grep -i '!?commit'
%{!?commit:

Comment 9 errata-xmlrpc 2019-12-11 22:36:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4093


Note You need to log in before you can comment on or make changes to this bug.